#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,n,brojac=0,k=1;
    char s[3000];
    gets(s);
    n=strlen(s);
    for(i=0;i<n;i++){
        for(i=0;i+k<=n;i++){
            if(s[i]==s[i+k]){
                brojac++;
                i+=k;}
        }
    k+=2;
    i++;


        }
        printf("%d",brojac);

    return 0;
}